Get a connector project connection
GET
https://api.vercel.com/v1/connect/connectors/{connector}/projects/{projectId}Get the configuration that connects a connector to a project.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.connect.getConnectorProjectConnection({ connector: "<value>", projectId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "connectorId": "example_id", "createdAt": "123", "enabledEnvironments": [], "project": { "customEnvironments": [ { "id": "icfg_1234567890", "slug": "string" } ], "id": "icfg_1234567890", "name": "Example Name" }, "updatedAt": "123"}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism
The team ID that scopes the request. Do not send it with slug. If both are omitted, Vercel uses the team associated with the token or the authenticated user's default team. The request returns 401 if no team can be selected.
200The connector project connection.